import java.util.Calendar;
import java.util.HashSet;
import java.util.Enumeration;

import nl.rickvanderzwet.toos.assignment1.Voter;

/** 
 * Make sure both the variable and the function return the proper values if set.
 */
public class VoterTest extends junit.framework.TestCase {


    public void testTrueVote() {
      Voter v = new Voter(true);
      assertTrue(v.fvote);
      assertTrue(v.getVote());
    }

    public void testFalseVote() {
      Voter v = new Voter(false);
      assertFalse(v.fvote);
      assertFalse(v.getVote());
    }

    public void testEmptyVote() {
      Voter v = new Voter();
      assertNull(v.fvote);
      assertNull(v.getVote());
    }
}
